Nancy Donnelly wrote:
try:
    mailhost=getattr(context, context.superValues('Mail Host')[0].id)


'Mail Host' won't find a Maildrop Host...

except:

Bare excepts like this are extremely bad programming practice...

    raise AttributeError, "Can't find a Mail Host object"

Why not just let the original exception get raised?!

Yet, when I go to fire up the script, the email is not sent. What am I doing 
wrong here?

Quite a lot, I'm afraid...

Chris

--
Simplistix - Content Management, Zope & Python Consulting
           - http://www.simplistix.co.uk

_______________________________________________
Zope maillist  -  Zope@zope.org
http://mail.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope-dev )

Reply via email to